import typescript from '@rollup/plugin-typescript';
import nodePolyfills from 'rollup-plugin-node-polyfills';
import { nodeResolve } from '@rollup/plugin-node-resolve';
import commonjs from '@rollup/plugin-commonjs';

export default {
  input: 'src/index.ts',
  output: [
    {
      file: 'dist/material-jsoneditor.umd.js',
      format: 'umd',
      name: 'material-jsoneditor',
    },
  ],
  plugins: [
    nodeResolve(),
    commonjs(),
    typescript(),
    nodePolyfills()
  ],
};